// JtiHorizontal.h : main header file for the JTIHORIZONTAL application
//

#if !defined(AFX_JTIHORIZONTAL_H__C50C5526_EE4C_11D1_A342_444553540000__INCLUDED_)
#define AFX_JTIHORIZONTAL_H__C50C5526_EE4C_11D1_A342_444553540000__INCLUDED_

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"       // main symbols

/////////////////////////////////////////////////////////////////////////////
// CJtiHorizontalApp:
// See JtiHorizontal.cpp for the implementation of this class
//

class CJtiHorizontalApp : public CWinAppEx
{
public:
	void ReportError (CString csSrc, CString csErr);
	void ReportError (CString csSrc, int nID);

	CMultiDocTemplate* pDocTemplate;
	CMultiDocTemplate* pRPTSLDocTemplate;
	CMultiDocTemplate* pRPvTLLDocTemplate;
	CMultiDocTemplate* pCvTDocTemplate;
	CMultiDocTemplate* pRPvCDocTemplate;

	CJtiHorizontalApp();
	~CJtiHorizontalApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CJtiHorizontalApp)
public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

// Implementation
	// ApplicationLook stuff start
	UINT  m_nAppLook;

	// TeeChart start
	enum ChartType
	{
		CT_UNDEFINED,
		CT_RPvTSL,
		CT_RPvTLL,
		CT_RPvC,
		CT_CvT
	};
	// Tee Chart end


	//{{AFX_MSG(CJtiHorizontalApp)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

extern	CJtiHorizontalApp	theApp;

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_JTIHORIZONTAL_H__C50C5526_EE4C_11D1_A342_444553540000__INCLUDED_)
