// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__C50C552A_EE4C_11D1_A342_444553540000__INCLUDED_)
#define AFX_MAINFRM_H__C50C552A_EE4C_11D1_A342_444553540000__INCLUDED_

#pragma once

#include "ChildFrm.h"

typedef  double *LPREAL;             // pointer to realtype

class CMainFrame : public CMDIFrameWndEx
{
	DECLARE_DYNAMIC(CMainFrame);

public:
	CMainFrame();

	int mapPlot;

public:
	HGLOBAL		hX1;
	HGLOBAL		hY1;
	HGLOBAL		hRPvTLLX1;
	HGLOBAL		hRPvTLLY1;
	HGLOBAL		hCvTX1;
	HGLOBAL		hCvTY1;
	HGLOBAL		hRPvCX1;
	HGLOBAL		hRPvCY1;

	HGLOBAL		GethX1(){return	hX1;};
	HGLOBAL		GethY1(){return	hY1;};
	HGLOBAL		GethRPvTLLX1(){return	hRPvTLLX1;};
	HGLOBAL		GethRPvTLLY1(){return	hRPvTLLY1;};
	HGLOBAL		GethCvTX1(){return	hCvTX1;};
	HGLOBAL		GethCvTY1(){return	hCvTY1;};
	HGLOBAL		GethRPvCX1(){return	hRPvCX1;};
	HGLOBAL		GethRPvCY1(){return	hRPvCY1;};

////////////////////////////////////////////////////////

// Attributes
public:
	CMDIChildWndEx*	pRPvTSLChild;
	CMDIChildWndEx*	pRPvTLLChild;
	CMDIChildWndEx*	pCvTChild;
	CMDIChildWndEx*	pRPvCChild;
	CMDIChildWndEx*	pFMChild;

	CDocument*	pDocument;

	CString			m_nSelectedItem;
	// TeeChart start
	BOOL	bRPvTLLOpen;
	BOOL	bRPvCOpen;
	BOOL	bRPvTSLOpen;
	BOOL	bCvTOpen;
	CString GetMDITitle(int iCT);
	// TeeChart end

public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL DestroyWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	void FreeMemoryHandle();
	CString Extplo;

	BOOL m_nTitleFlag;
	BOOL m_nRPvCGraph;
	BOOL m_nRPvTLLGraph;
	BOOL m_nRPvTSLGraph;
	BOOL m_nCvTGraph;
	int	m_nRPvTSLNo;
	int m_nRPvTLLNo;
	int m_nRPvCNo;
	int m_nCvTNo;
	virtual ~CMainFrame();

protected:  // control bar embedded members

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	// View
	afx_msg void OnApplicationLook(UINT id);
	afx_msg void OnUpdateApplicationLook(CCmdUI* pCmdUI);
	// Analysis
	afx_msg void OnAnalysisRun();
	afx_msg void OnUpdateAnalysisRun(CCmdUI* pCmdUI);
	// Window
	afx_msg void OnWindowCloseall();
	// Analysis Toolbar
	afx_msg void OnRPvTSLPlot();
	afx_msg void OnRPvTLLPlot();
	afx_msg void OnCvTPlot();
	afx_msg void OnRPvCPlot();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void ForFilePlotOperation();
private:
	int CountLinesInFile(FILE *fpNoLn);
	BOOL CreateLabelMDIWindow(CMultiDocTemplate* childDocTemplate, CMDIChildWndEx* &childWindow, CString title);
	
public:
	void SetTitleBar(CString sCasename);
	CString PlotTitle();
	CString GetRateAxisLabelcs();
	CString GetCumAxisLabelcs();
	CString GetTimeAxisLabelcs();
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.
//

#endif // !defined(AFX_MAINFRM_H__C50C552A_EE4C_11D1_A342_444553540000__INCLUDED_)
