#pragma once

#include "tchart.h"
#include "axis.h"
#ifdef _DEBUG
#include "JtiHorizontalDoc.h"
#endif
#include "JtiHorizontal.h"
#include "MainFrm.h"

#define PRINTFLAG_PARTIALPRINT 32768

// CTeeFilesView view

class CTeeFilesView : public CView
{
	DECLARE_DYNCREATE(CTeeFilesView)

protected:
	CTeeFilesView();           // protected constructor used by dynamic creation
	virtual ~CTeeFilesView();

	CTChart m_Chart1;

public:
	CJtiHorizontalApp::ChartType iCT;

// Attributes
public:
#ifdef _DEBUG
	CJtiHorizontalDoc*  GetDocument();
#endif  //_DEBUG

// Operations
public:
//	static CString GetTitleBarTitle();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTeeFilesView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
public:
#ifdef _DEBUG
	virtual void AssertValid() const;
#ifndef _WIN32_WCE
	virtual void Dump(CDumpContext& dc) const;
#endif
#endif


protected:
	// Manually add the EventSink map for the CView
	// This can be generated for copying, by adding a TChart
	// to a dialog box and auto-generating the map there.
	// See also CTeeViewView.cpp
	afx_msg void OnAfterDrawTChart();

	DECLARE_EVENTSINK_MAP()

// Generated message map functions
protected:
	//{{AFX_MSG(CTeeFilesView)
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void ScaleAxisT (CAxis ax);
	void ScaleCartesian (CAxis ax);
	virtual void OnInitialUpdate();
public:
};


